---
type: api
title: Get package categories
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-fleet-epm-categories
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-fleet-epm-categories
products:
  - Kibana
---

# Get package categories

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/epm/categories`
- `GET` `/s/{space_id}/api/fleet/epm/categories`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of integration categories.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

## Query String Parameters

- `prerelease` (boolean)
  When true, include prerelease packages in the results
- `include_policy_templates` (boolean)
  When true, include categories that only contain policy templates

## Responses

#### `200`

Successful response

`application/json`

- `items` ([] object · max: 10000)
  - `count` (number)
  - `id` (string)
  - `parent_id` (string)
  - `parent_title` (string)
  - `title` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/epm/categories
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/epm/categories"
```

## Response Examples

#### Get categories

List of integration categories

```json
{
  "items": [
    {
      "count": 42,
      "id": "security",
      "title": "Security"
    },
    {
      "count": 38,
      "id": "observability",
      "title": "Observability"
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

